Package org.zkoss.bind.paranamer

## Class ParameterReflectionParanamer

- java.lang.Object
- - org.zkoss.bind.paranamer.ParameterReflectionParanamer

- All Implemented Interfaces:
    `Paranamer`

      public class ParameterReflectionParanamer
      extends java.lang.Object
      implements Paranamer

  Use the Parameter reflection API since Java 8 to discover parameter names. Need to enable `-parameters` compiler flag.
  Author:
    rudyhuang

- - ### Field Summary

    - ### Fields inherited from interface org.zkoss.bind.paranamer.Paranamer

      `EMPTY_NAMES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterReflectionParanamer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `lookupParameterNames​(java.lang.reflect.AccessibleObject methodOrConstructor)` | Lookup the parameter names of a given method.
    `java.lang.String[]` | `lookupParameterNames​(java.lang.reflect.AccessibleObject methodOrConstructor, boolean throwExceptionIfMissing)` | Lookup the parameter names of a given method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterReflectionParanamer

          public ParameterReflectionParanamer()

  - ### Method Detail

    - #### lookupParameterNames

          public java.lang.String[] lookupParameterNames​(java.lang.reflect.AccessibleObject methodOrConstructor)

      Description copied from interface: `Paranamer`
      Lookup the parameter names of a given method.
      Specified by:
        `lookupParameterNames` in interface `Paranamer`
      Parameters:
        `methodOrConstructor` - the `Method` or `Constructor` for which the parameter names are looked up.
      Returns:
        A list of the parameter names.

    - #### lookupParameterNames

          public java.lang.String[] lookupParameterNames​(java.lang.reflect.AccessibleObject methodOrConstructor,
                                                         boolean throwExceptionIfMissing)

      Description copied from interface: `Paranamer`
      Lookup the parameter names of a given method.
      Specified by:
        `lookupParameterNames` in interface `Paranamer`
      Parameters:
        `methodOrConstructor` - the `Method` or `Constructor` for which the parameter names are looked up.
        `throwExceptionIfMissing` - whether to throw an exception if no Paranamer data found (versus return null).
      Returns:
        A list of the parameter names.